Bug 180973 - Update test result of mathml/opentype/opentype-stretchy-horizontal for GTK/Windows
Summary: Update test result of mathml/opentype/opentype-stretchy-horizontal for GTK/Wi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-12-19 03:42 PST by Minsheng Liu
Modified: 2018-01-06 07:17 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Minsheng Liu 2017-12-19 03:42:02 PST
As a follow up to 179682.
Comment 1 Minsheng Liu 2017-12-19 04:07:06 PST
Resolved as https://trac.webkit.org/changeset/226119/.
Comment 2 Radar WebKit Bug Importer 2017-12-19 04:08:27 PST
<rdar://problem/36128999>
Comment 3 Frédéric Wang (:fredw) 2018-01-04 01:57:39 PST
@Minsheng: Note that I only rebased the GTK tests. Maybe you can submit a patch to update the windows one (by retrieving the result on buildbot) or asking a windows maintainer.
Comment 4 Minsheng Liu 2018-01-05 18:54:14 PST
(In reply to Frédéric Wang (:fredw) from comment #3)
> @Minsheng: Note that I only rebased the GTK tests. Maybe you can submit a
> patch to update the windows one (by retrieving the result on buildbot) or
> asking a windows maintainer.

Unfortunately there is a regression:

https://build.webkit.org/results/Apple%20Win%207%20Release%20(Tests)/r226096%20(3524)/mathml/opentype/opentype-stretchy-horizontal-pretty-diff.html

https://build.webkit.org/results/Apple%20Win%207%20Release%20(Tests)/r226096%20(3524)/retries/mathml/opentype/opentype-stretchy-horizontal-diffs.html

Prima facie the logical widths seem correct but the logical heights do go crazy. I am also unsure what happens to the glyph assembly part. I will open a new bug for that.
Comment 5 Frédéric Wang (:fredw) 2018-01-06 07:17:40 PST
The tests are marked as failing in https://trac.webkit.org/changeset/226462/